## plasma-widget-cwp 1.5.12

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 2.6)

project(plasma-cwp)

find_package(KDE4 REQUIRED)
include(KDE4Defaults)

add_definitions (${QT_DEFINITIONS} ${KDE4_DEFINITIONS})
include_directories(
	${CMAKE_SOURCE_DIR}
	${CMAKE_BINARY_DIR}
	${KDE4_INCLUDES}
	${QT_QTTEST_INCLUDE_DIR}
	)

set(cwp_SRCS plasma-cwp-graphics-widget.cpp plasma-cwp-pixmap-dialog.cpp plasma-cwp-pixmap-list-dialog.cpp plasma-cwp-data-provider.cpp plasma-cwp-paint-helper.cpp plasma-cwp-popup-applet.cpp plasma-cwp.cpp config.cpp)

add_subdirectory(po)

kde4_add_ui_files(cwp_SRCS config.ui)
kde4_add_plugin(plasma_applet_cwp ${cwp_SRCS})
target_link_libraries(plasma_applet_cwp
	${KDE4_PLASMA_LIBS} ${KDE4_KDEUI_LIBS} ${KDE4_KIO_LIBS} ${KDE4_SOLID_LIBS} ${QT_QTXML_LIBRARY})

install(TARGETS
	plasma_applet_cwp
	DESTINATION ${PLUGIN_INSTALL_DIR})

install(FILES
	plasma-applet-cwp.desktop
	DESTINATION ${SERVICES_INSTALL_DIR})

install(FILES
	images/background_circle_white.png
	images/background_rectangle_white.png
	images/background_rounded_rectangle_white.png
	images/background_circle_black.png
	images/background_rectangle_black.png
	images/background_rounded_rectangle_black.png
	images/background_circle_grey.png
	images/background_rectangle_grey.png
	images/background_rounded_rectangle_grey.png
	data/br_weather_com.xml
	data/de_weather_com.xml
	data/espanol_weather_com.xml
	data/fr_weather_com.xml
	data/in_weather_com.xml
	data/uk_weather_com.xml
	data/www_weather_com.xml
	data/wetter_com.xml
	data/www_weather_com.cn.xml
	data/myforecast_com_celsius.xml
	data/myforecast_com_fahrenheit.xml
	data/www_accuweather_com_world_celsius.xml
	data/www_accuweather_com_world_fahrenheit.xml
	data/www_accuweather_com_us_celsius.xml
	data/www_accuweather_com_us_fahrenheit.xml
	data/ilmeteo_it.xml
	data/pogodynka_pl.xml
	data/www_gismeteo_com.xml
	data/freemeteo_com_celsius.xml
	data/freemeteo_com_fahrenheit.xml
	data/satellite_images.xml
	DESTINATION ${DATA_INSTALL_DIR}/plasma-cwp)

install(FILES
	images/wind_arrow.svgz
	images/wind_unknown.svgz
	images/wind_var.svgz
	images/satellite_image.svgz
	DESTINATION ${DATA_INSTALL_DIR}/desktoptheme/default/widgets/)

install(FILES
	images/weather-windy.svgz
	DESTINATION ${SHARE_INSTALL_PREFIX}/icons/oxygen/scalable/status/)

install(FILES
	images/weather-windy.png
	DESTINATION ${SHARE_INSTALL_PREFIX}/icons/oxygen/128x128/status/)

## plasma-widget-cwp 1.1.1

=== debian/changelog ===
plasma-widget-cwp (1.1.1-3) unstable; urgency=low

  * Fixed file debian/rules.
    (Parallelism is now used only at compile)

 -- Boris Pek <tehnick-8@mail.ru>  Thu, 29 Jul 2010 22:55:54 +0300

plasma-widget-cwp (1.1.1-2) unstable; urgency=low

  * Fixed file debian/rules.
    (parallel=<n> from DEB_BUILD_OPTIONS is now using)
  * Fixed file debian/copyright.
    (lintian warning `copyright-with-old-dh-make-debian-copyright' is fixed)

 -- Boris Pek <tehnick-8@mail.ru>  Thu, 29 Jul 2010 00:25:09 +0300

plasma-widget-cwp (1.1.1-1) unstable; urgency=low

  * Update to stable release 1.1.1.

 -- Boris Pek <tehnick-8@mail.ru>  Sat, 24 Jul 2010 19:28:09 +0300

plasma-widget-cwp (1.1.0-1) unstable; urgency=low

  * Update to stable release 1.1.0.

 -- Boris Pek <tehnick-8@mail.ru>  Sat, 17 Jul 2010 20:53:20 +0300

plasma-widget-cwp (1.0.5-1) unstable; urgency=low

  * Update to stable release 1.0.5.

 -- Boris Pek <tehnick-8@mail.ru>  Mon, 21 Jun 2010 19:18:37 +0400

plasma-widget-cwp (1.0.4-1) unstable; urgency=low

  * Update to stable release 1.0.4.

 -- Boris Pek <tehnick-8@mail.ru>  Mon, 31 May 2010 13:24:29 +0400

plasma-widget-cwp (1.0.3-1) unstable; urgency=low

  * Update to stable release 1.0.3.

 -- Boris Pek <tehnick-8@mail.ru>  Sat, 15 May 2010 15:17:16 +0400

plasma-widget-cwp (1.0.2-1) unstable; urgency=low

  * Update to stable release 1.0.2.
  * Added file debian/watch.
  * Fixed build depends: kdelibs5-dev (>=4.2).

 -- Boris Pek <tehnick-8@mail.ru>  Fri, 14 May 2010 00:00:12 +0400

plasma-widget-cwp (1.0.1-1) unstable; urgency=low

  * Initial release (closes: #521464).

 -- Boris Pek <tehnick-8@mail.ru>  Fri, 30 Apr 2010 00:03:32 +0400

=== debian/control ===
Source: plasma-widget-cwp
Section: kde
Priority: extra
Maintainer: Boris Pek <tehnick-8@mail.ru>
Build-Depends: debhelper (>= 7), cmake (>= 2.6.0), autotools-dev, fakeroot, kdelibs5-dev (>=4.2)
Homepage: http://kde-look.org/content/show.php/Customizable+Weather+Plasmoid+(CWP)?content=98925
Standards-Version: 3.9.0

Package: plasma-widget-cwp
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: Customizable Weather Plasmoid (CWP)
 This is another weather plasmoid.
 .
 It aims to be highly customizable, but a little harder to setup than other
 weather plasmoids. Nearly any weather forecast provider can be used,
 as long as the data is provided as html files (no flash).
 .
 The information how to extract the information from these html files is
 stored inside xml files. Commands like grep, head, tail, sed, awk, ... will
 do this job.

=== debian/rules ===
#!/usr/bin/make -f

ifneq (,$(filter parallel=%,$(DEB_BUILD_OPTIONS)))
	NUMJOBS = $(patsubst parallel=%,%,$(filter parallel=%,$(DEB_BUILD_OPTIONS)))
endif

BUILDDIR = builddir

PKG_NAME = plasma-widget-cwp

CMAKEOPTS =	-DCMAKE_SKIP_RPATH=ON \
			-DCMAKE_BUILD_TYPE=Release \
			-DCMAKE_INSTALL_PREFIX=/usr \
			../

configure: configure-stamp
configure-stamp:
	dh_testdir
	mkdir -p $(BUILDDIR) && cd $(BUILDDIR) && cmake $(CMAKEOPTS)
	touch $@
build: configure build-stamp
build-stamp:
	dh_testdir
	cd $(BUILDDIR) && $(MAKE) -j$(NUMJOBS)
	touch $@
clean: do-clean
do-clean:
	dh_testdir
	dh_testroot
	[ ! -f Makefile ] || ( cd $(BUILDDIR) && $(MAKE) clean )
	test ! -d $(BUILDDIR) || rm -r $(BUILDDIR)
	dh_clean
install: build
	dh_testdir
	dh_testroot
	dh_prep
	dh_installdirs
	cd $(BUILDDIR) && $(MAKE) install DESTDIR=$(CURDIR)/debian/$(PKG_NAME)
binary-indep: build install
binary-arch: build install
	dh_testdir
	dh_testroot
	dh_installchangelogs ChangeLog
	dh_installdocs
	dh_installman
	dh_link
	dh_strip
	dh_compress
	dh_fixperms
	dh_installdeb
	dh_shlibdeps
	dh_gencontrol
	dh_md5sums
	dh_builddeb
binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary install configure patch unpatch do-clean

## plasma-widget-cwp 1.2.2

=== debian/changelog ===
plasma-widget-cwp (1.2.2-1) experimental; urgency=low

  * Update to stable release 1.2.2.

 -- Boris Pek <tehnick-8@mail.ru>  Wed, 15 Sep 2010 19:29:16 +0300

plasma-widget-cwp (1.2.1-1) experimental; urgency=low

  * Update to stable release 1.2.1.

 -- Boris Pek <tehnick-8@mail.ru>  Sun, 29 Aug 2010 02:21:07 +0300

plasma-widget-cwp (1.2.0-1) experimental; urgency=low

  * Update to stable release 1.2.0.

 -- Boris Pek <tehnick-8@mail.ru>  Fri, 06 Aug 2010 22:03:46 +0300

=== debian/control ===
--- 
+++ 
@@ -4,7 +4,7 @@
 Maintainer: Boris Pek <tehnick-8@mail.ru>
 Build-Depends: debhelper (>= 7), cmake (>= 2.6.0), autotools-dev, fakeroot, kdelibs5-dev (>=4.2)
 Homepage: http://kde-look.org/content/show.php/Customizable+Weather+Plasmoid+(CWP)?content=98925
-Standards-Version: 3.9.0
+Standards-Version: 3.9.1
 
 Package: plasma-widget-cwp
 Architecture: any

=== debian/watch ===
version=3
http://download.opensuse.org/repositories/home:/georg298/xUbuntu_9.10/ .*kde-plasmoid-cwp_(.+)\.orig\.tar\.gz debian uupdate

## plasma-widget-cwp 1.3.3

=== debian/changelog ===
plasma-widget-cwp (1.3.3-1) unstable; urgency=low

  * Update to stable release 1.3.3.

 -- Boris Pek <tehnick-8@mail.ru>  Sat, 08 Jan 2011 17:43:55 +0200

plasma-widget-cwp (1.3.2-1) unstable; urgency=low

  * Update to stable release 1.3.2.

 -- Boris Pek <tehnick-8@mail.ru>  Tue, 14 Dec 2010 00:25:52 +0200

plasma-widget-cwp (1.3.1-1) unstable; urgency=low

  * Update to stable release 1.3.1.

 -- Boris Pek <tehnick-8@mail.ru>  Sun, 21 Nov 2010 00:57:23 +0200

plasma-widget-cwp (1.3.0-1) unstable; urgency=low

  * Update to stable release 1.3.0.

 -- Boris Pek <tehnick-8@mail.ru>  Wed, 27 Oct 2010 23:07:21 +0300

=== debian/rules ===
--- 
+++ 
@@ -2,6 +2,10 @@
 
 ifneq (,$(filter parallel=%,$(DEB_BUILD_OPTIONS)))
 	NUMJOBS = $(patsubst parallel=%,%,$(filter parallel=%,$(DEB_BUILD_OPTIONS)))
+endif
+
+ifeq (,$(NUMJOBS))
+	NUMJOBS = 1
 endif
 
 BUILDDIR = builddir

## plasma-widget-cwp 1.5.4

=== debian/changelog ===
plasma-widget-cwp (1.5.4-1) unstable; urgency=low

  * Update to stable release 1.5.4.
  * Fixed lintian warning 'debian-rules-missing-recommended-target'.

 -- Boris Pek <tehnick-8@mail.ru>  Wed, 22 Jun 2011 22:26:42 +0300

plasma-widget-cwp (1.5.3-1) unstable; urgency=low

  * Update to stable release 1.5.3.

 -- Boris Pek <tehnick-8@mail.ru>  Fri, 03 Jun 2011 21:26:30 +0300

plasma-widget-cwp (1.5.2-1) unstable; urgency=low

  * Update to stable release 1.5.2.

 -- Boris Pek <tehnick-8@mail.ru>  Sun, 10 Apr 2011 21:28:35 +0300

plasma-widget-cwp (1.5.1-1) unstable; urgency=low

  * Update to stable release 1.5.1.

 -- Boris Pek <tehnick-8@mail.ru>  Tue, 22 Mar 2011 07:12:12 +0200

plasma-widget-cwp (1.5.0-1) unstable; urgency=low

  * Update to stable release 1.5.0.

 -- Boris Pek <tehnick-8@mail.ru>  Tue, 08 Mar 2011 12:44:07 +0200

plasma-widget-cwp (1.4.0-1) unstable; urgency=low

  * Update to stable release 1.4.0.

 -- Boris Pek <tehnick-8@mail.ru>  Sat, 26 Feb 2011 20:57:09 +0200

=== debian/control ===
--- 
+++ 
@@ -4,7 +4,7 @@
 Maintainer: Boris Pek <tehnick-8@mail.ru>
 Build-Depends: debhelper (>= 7), cmake (>= 2.6.0), autotools-dev, fakeroot, kdelibs5-dev (>=4.2)
 Homepage: http://kde-look.org/content/show.php/Customizable+Weather+Plasmoid+(CWP)?content=98925
-Standards-Version: 3.9.1
+Standards-Version: 3.9.2
 
 Package: plasma-widget-cwp
 Architecture: any

=== debian/rules ===
--- 
+++ 
@@ -22,7 +22,9 @@
 	dh_testdir
 	mkdir -p $(BUILDDIR) && cd $(BUILDDIR) && cmake $(CMAKEOPTS)
 	touch $@
-build: configure build-stamp
+build: configure build-arch build-indep
+build-arch: build-stamp
+build-indep: build-stamp
 build-stamp:
 	dh_testdir
 	cd $(BUILDDIR) && $(MAKE) -j$(NUMJOBS)

=== debian/watch ===
version=3
http://download.opensuse.org/repositories/home:/georg298/xUbuntu_10.04/ .*kde-plasmoid-cwp_(.+)\.orig\.tar\.gz debian uupdate

## plasma-widget-cwp 1.5.6

=== debian/changelog ===
plasma-widget-cwp (1.5.6-1) unstable; urgency=low

  * Update to stable release 1.5.6.

 -- Boris Pek <tehnick-8@mail.ru>  Sat, 12 Nov 2011 16:00:32 +0200

plasma-widget-cwp (1.5.5-1) unstable; urgency=low

  * Update to stable release 1.5.5.
  * Additional fields Vcs-Svn and Vcs-Browser were added in debian/control.
  * Additional section get-orig-source was added in debian/rules.
  * File debian/copyright was rewritten in according to DEP-5.

 -- Boris Pek <tehnick-8@mail.ru>  Sat, 08 Oct 2011 23:27:43 +0300

=== debian/control ===
--- 
+++ 
@@ -4,6 +4,8 @@
 Maintainer: Boris Pek <tehnick-8@mail.ru>
 Build-Depends: debhelper (>= 7), cmake (>= 2.6.0), autotools-dev, fakeroot, kdelibs5-dev (>=4.2)
 Homepage: http://kde-look.org/content/show.php/Customizable+Weather+Plasmoid+(CWP)?content=98925
+Vcs-Git: git://github.com/tehnick/plasma-widget-cwp-debian.git
+Vcs-Browser: https://github.com/tehnick/plasma-widget-cwp-debian
 Standards-Version: 3.9.2
 
 Package: plasma-widget-cwp

=== debian/rules ===
--- 
+++ 
@@ -10,7 +10,9 @@
 
 BUILDDIR = builddir
 
-PKG_NAME = plasma-widget-cwp
+PACKAGE = plasma-widget-cwp
+
+CUR_VER = $(shell dpkg-parsechangelog | sed -ne 's/^Version: \(\([0-9]\+\):\)\?\(.*\)-.*/\3/p')
 
 CMAKEOPTS =	-DCMAKE_SKIP_RPATH=ON \
 			-DCMAKE_BUILD_TYPE=Release \
@@ -41,7 +43,20 @@
 	dh_testroot
 	dh_prep
 	dh_installdirs
-	cd $(BUILDDIR) && $(MAKE) install DESTDIR=$(CURDIR)/debian/$(PKG_NAME)
+	cd $(BUILDDIR) && $(MAKE) install DESTDIR=$(CURDIR)/debian/$(PACKAGE)
+get-orig-source:
+	# preparation
+	rm -rf "cwp-$(CUR_VER)" "$(PACKAGE)-$(CUR_VER)"
+	rm -f "kde-plasmoid-cwp_$(CUR_VER).orig.tar.gz"
+	# sources
+	wget -4 "http://download.opensuse.org/repositories/home:/georg298/xUbuntu_10.04/kde-plasmoid-cwp_${CUR_VER}.orig.tar.gz"
+	tar xzf "kde-plasmoid-cwp_$(CUR_VER).orig.tar.gz"
+	mv "cwp-$(CUR_VER)" "$(PACKAGE)-$(CUR_VER)"
+	# tarball
+	tar -cjf "$(PACKAGE)_$(CUR_VER).orig.tar.bz2" "$(PACKAGE)-$(CUR_VER)"
+	# cleaning
+	rm -rf "$(PACKAGE)-$(CUR_VER)"
+	rm -f "kde-plasmoid-cwp_$(CUR_VER).orig.tar.gz"
 binary-indep: build install
 binary-arch: build install
 	dh_testdir

## plasma-widget-cwp 1.5.11

=== debian/changelog ===
plasma-widget-cwp (1.5.11-1) unstable; urgency=low

  * Update to stable release 1.5.11.
  * Bumped Standards-Version to 3.9.3.
  * URL in Format field was updated in debian/copyright.

 -- Boris Pek <tehnick-8@mail.ru>  Mon, 05 Mar 2012 00:25:50 +0200

plasma-widget-cwp (1.5.8-1) unstable; urgency=low

  * Update to stable release 1.5.8.
  * Files debian/watch and debian/rules (in section get-orig-source) were
    updated: unmodified bzipped tarball from kde-look.org is used now.
  * File debian/copyright was updated in according to the last actual revision
    of DEP-5.
  * Add DM-Upload-Allowed: yes into debian/control.

 -- Boris Pek <tehnick-8@mail.ru>  Fri, 20 Jan 2012 00:13:26 +0200

plasma-widget-cwp (1.5.7-1) unstable; urgency=low

  * Update to stable release 1.5.7.

 -- Boris Pek <tehnick-8@mail.ru>  Wed, 21 Dec 2011 21:47:07 +0200

=== debian/control ===
--- 
+++ 
@@ -6,7 +6,8 @@
 Homepage: http://kde-look.org/content/show.php/Customizable+Weather+Plasmoid+(CWP)?content=98925
 Vcs-Git: git://github.com/tehnick/plasma-widget-cwp-debian.git
 Vcs-Browser: https://github.com/tehnick/plasma-widget-cwp-debian
-Standards-Version: 3.9.2
+Standards-Version: 3.9.3
+DM-Upload-Allowed: yes
 
 Package: plasma-widget-cwp
 Architecture: any

## plasma-widget-cwp 1.5.12

=== debian/changelog ===
plasma-widget-cwp (1.5.12-1) unstable; urgency=low

  * Update to stable release 1.5.12.

 -- Boris Pek <tehnick-8@mail.ru>  Thu, 15 Mar 2012 19:36:24 +0200

=== debian/rules ===
--- 
+++ 
@@ -14,10 +14,10 @@
 
 CUR_VER = $(shell dpkg-parsechangelog | sed -ne 's/^Version: \(\([0-9]\+\):\)\?\(.*\)-.*/\3/p')
 
-CMAKEOPTS =	-DCMAKE_SKIP_RPATH=ON \
-			-DCMAKE_BUILD_TYPE=Release \
-			-DCMAKE_INSTALL_PREFIX=/usr \
-			../
+CMAKEOPTS = -DCMAKE_SKIP_RPATH=ON \
+            -DCMAKE_BUILD_TYPE=Release \
+            -DCMAKE_INSTALL_PREFIX=/usr \
+            ../
 
 configure: configure-stamp
 configure-stamp:
@@ -45,18 +45,8 @@
 	dh_installdirs
 	cd $(BUILDDIR) && $(MAKE) install DESTDIR=$(CURDIR)/debian/$(PACKAGE)
 get-orig-source:
-	# preparation
-	rm -rf "cwp-$(CUR_VER)" "$(PACKAGE)-$(CUR_VER)"
-	rm -f "kde-plasmoid-cwp_$(CUR_VER).orig.tar.gz"
-	# sources
-	wget -4 "http://download.opensuse.org/repositories/home:/georg298/xUbuntu_10.04/kde-plasmoid-cwp_${CUR_VER}.orig.tar.gz"
-	tar xzf "kde-plasmoid-cwp_$(CUR_VER).orig.tar.gz"
-	mv "cwp-$(CUR_VER)" "$(PACKAGE)-$(CUR_VER)"
-	# tarball
-	tar -cjf "$(PACKAGE)_$(CUR_VER).orig.tar.bz2" "$(PACKAGE)-$(CUR_VER)"
-	# cleaning
-	rm -rf "$(PACKAGE)-$(CUR_VER)"
-	rm -f "kde-plasmoid-cwp_$(CUR_VER).orig.tar.gz"
+	wget -4 -c "http://kde-look.org/CONTENT/content-files/98925-cwp-$(CUR_VER).tar.bz2"
+	mv -f "98925-cwp-$(CUR_VER).tar.bz2" ../"$(PACKAGE)_$(CUR_VER).orig.tar.bz2"
 binary-indep: build install
 binary-arch: build install
 	dh_testdir

## plasma-widget-cwp 1.5.14

=== debian/changelog ===
plasma-widget-cwp (1.5.14-1) unstable; urgency=low

  * Update to stable release 1.5.14.

 -- Boris Pek <tehnick-8@mail.ru>  Fri, 06 Apr 2012 20:58:39 +0300

plasma-widget-cwp (1.5.13-2) unstable; urgency=low

  * debian/rules was updated: now dh is used instead of direct dh_* commands.
    (fixes FTBFS due to broken build-arch) (Closes: #665888)

 -- Boris Pek <tehnick-8@mail.ru>  Mon, 26 Mar 2012 23:25:51 +0300

plasma-widget-cwp (1.5.13-1) unstable; urgency=low

  * Update to stable release 1.5.13.

 -- Boris Pek <tehnick-8@mail.ru>  Mon, 26 Mar 2012 20:38:54 +0300

=== debian/control ===
--- 
+++ 
@@ -2,7 +2,7 @@
 Section: kde
 Priority: extra
 Maintainer: Boris Pek <tehnick-8@mail.ru>
-Build-Depends: debhelper (>= 7), cmake (>= 2.6.0), autotools-dev, fakeroot, kdelibs5-dev (>=4.2)
+Build-Depends: debhelper (>= 7.0.50~), cmake (>= 2.6.0), autotools-dev, fakeroot, kdelibs5-dev (>=4.2)
 Homepage: http://kde-look.org/content/show.php/Customizable+Weather+Plasmoid+(CWP)?content=98925
 Vcs-Git: git://github.com/tehnick/plasma-widget-cwp-debian.git
 Vcs-Browser: https://github.com/tehnick/plasma-widget-cwp-debian

=== debian/rules ===
#!/usr/bin/make -f

ifneq (,$(filter parallel=%,$(DEB_BUILD_OPTIONS)))
	NUMJOBS = $(patsubst parallel=%,%,$(filter parallel=%,$(DEB_BUILD_OPTIONS)))
endif

ifeq (,$(NUMJOBS))
	NUMJOBS = 1
endif

BUILDDIR = builddir

PACKAGE = plasma-widget-cwp

CUR_VER = $(shell dpkg-parsechangelog | sed -ne 's/^Version: \(\([0-9]\+\):\)\?\(.*\)-.*/\3/p')

CMAKEOPTS = -DCMAKE_SKIP_RPATH=ON \
            -DCMAKE_BUILD_TYPE=Release \
            -DCMAKE_INSTALL_PREFIX=/usr \
            ../

%:
	dh $@ --parallel

override_dh_auto_configure:
	mkdir -p $(BUILDDIR) && cd $(BUILDDIR) && cmake $(CMAKEOPTS)

override_dh_auto_build:
	cd $(BUILDDIR) && $(MAKE) -j$(NUMJOBS)

override_dh_auto_clean:
	dh_testroot
	[ ! -f Makefile ] || ( cd $(BUILDDIR) && $(MAKE) clean )
	[ ! -d $(BUILDDIR) ] || rm -r $(BUILDDIR)

override_dh_auto_install:
	cd $(BUILDDIR) && $(MAKE) install DESTDIR=$(CURDIR)/debian/$(PACKAGE)

get-orig-source:
	wget -4 -c "http://kde-look.org/CONTENT/content-files/98925-cwp-$(CUR_VER).tar.bz2"
	mv -f "98925-cwp-$(CUR_VER).tar.bz2" ../"$(PACKAGE)_$(CUR_VER).orig.tar.bz2"

.PHONY: override_dh_auto_test

## plasma-widget-cwp 1.6.5

=== debian/changelog ===
plasma-widget-cwp (1.6.5-1) unstable; urgency=low

  * Update to stable release 1.6.5.

 -- Boris Pek <tehnick-8@mail.ru>  Sun, 07 Oct 2012 20:15:15 +0300

plasma-widget-cwp (1.6.4-1) unstable; urgency=low

  * Update to stable release 1.6.4.

 -- Boris Pek <tehnick-8@mail.ru>  Mon, 24 Sep 2012 22:47:27 +0300

plasma-widget-cwp (1.6.3-1) unstable; urgency=low

  * Update to stable release 1.6.3.

 -- Boris Pek <tehnick-8@mail.ru>  Tue, 07 Aug 2012 23:41:21 +0300

plasma-widget-cwp (1.6.2-2) unstable; urgency=low

  * debian/rules was updated: removed hardening flags

 -- Boris Pek <tehnick-8@mail.ru>  Fri, 18 May 2012 00:28:53 +0300

plasma-widget-cwp (1.6.2-1) unstable; urgency=low

  * Update to stable release 1.6.2.
  * debian/rules was updated: 
    - now uscan is used instead of direct using of wget and mv commands
    - used dpkg-buildflags and hardening flags in compiler options
    - added useful option -Wl,--as-needed to LDFLAGS
    - deleted few sections to simplify the rules:
      override_dh_auto_build, override_dh_auto_clean, override_dh_auto_install

 -- Boris Pek <tehnick-8@mail.ru>  Thu, 17 May 2012 21:13:24 +0300

plasma-widget-cwp (1.6.1-1) unstable; urgency=low

  * Update to stable release 1.6.1.

 -- Boris Pek <tehnick-8@mail.ru>  Sun, 06 May 2012 21:24:04 +0300

plasma-widget-cwp (1.6.0-1) unstable; urgency=low

  * Update to stable release 1.6.0.

 -- Boris Pek <tehnick-8@mail.ru>  Sat, 05 May 2012 23:01:02 +0300

## plasma-widget-cwp 1.6.11

=== debian/changelog ===
plasma-widget-cwp (1.6.11-1) unstable; urgency=low

  * Update to stable release 1.6.11.
  * XML files with rules for parsing *.weather.com web sites were fixed
    in upstream. (Closes: #696042)

 -- Boris Pek <tehnick-8@mail.ru>  Tue, 08 Jan 2013 01:12:01 +0200

plasma-widget-cwp (1.6.8-1) unstable; urgency=low

  * Update to stable release 1.6.8.

 -- Boris Pek <tehnick-8@mail.ru>  Thu, 15 Nov 2012 19:24:20 +0200

plasma-widget-cwp (1.6.7-1) unstable; urgency=low

  * Update to stable release 1.6.7.

 -- Boris Pek <tehnick-8@mail.ru>  Sat, 03 Nov 2012 23:09:49 +0200

=== debian/rules ===
#!/usr/bin/make -f

CPPFLAGS:=$(shell dpkg-buildflags --get CPPFLAGS)
CFLAGS:=$(shell dpkg-buildflags --get CFLAGS) $(CPPFLAGS)
CXXFLAGS:=$(shell dpkg-buildflags --get CXXFLAGS) $(CPPFLAGS)
LDFLAGS:=$(shell dpkg-buildflags --get LDFLAGS) -Wl,--as-needed

BUILDDIR = builddir

CMAKEOPTS = -DCMAKE_SKIP_RPATH=ON \
            -DCMAKE_BUILD_TYPE=Release \
            -DCMAKE_INSTALL_PREFIX=/usr \
            -DCMAKE_C_FLAGS="$(CFLAGS)" \
            -DCMAKE_CXX_FLAGS="$(CXXFLAGS)" \
            -DCMAKE_SHARED_LINKER_FLAGS="$(LDFLAGS)" \
            -DCMAKE_MODULE_LINKER_FLAGS="$(LDFLAGS)" \
            -DCMAKE_EXE_LINKER_FLAGS="$(LDFLAGS)" \
            ../

%:
	dh $@ --parallel  --builddirectory=$(BUILDDIR)

override_dh_auto_configure:
	mkdir -p $(BUILDDIR) && cd $(BUILDDIR) && cmake $(CMAKEOPTS)

get-orig-source:
	uscan --noconf --verbose --force-download --rename --download-current-version --destdir=..

.PHONY: override_dh_auto_test

## plasma-widget-cwp 1.6.12

=== debian/changelog ===
plasma-widget-cwp (1.6.12-1) experimental; urgency=low

  * Update to stable release 1.6.12.
  * Simplify debian/rules.
  * Add debian/plasma-widget-cwp.lintian-overrides:
    false positives for lintian tag hardening-no-fortify-functions.

 -- Boris Pek <tehnick-8@mail.ru>  Tue, 15 Jan 2013 23:11:43 +0200

## plasma-widget-cwp 1.7.0

=== CMakeLists.txt ===
--- 
+++ 
@@ -67,6 +67,7 @@
 	images/wind_arrow.svgz
 	images/wind_unknown.svgz
 	images/wind_var.svgz
+	images/wind_calm.svgz
 	images/satellite_image.svgz
 	DESTINATION ${DATA_INSTALL_DIR}/desktoptheme/default/widgets/)

=== debian/changelog ===
plasma-widget-cwp (1.7.0-1) experimental; urgency=low

  * Update to stable release 1.7.0.

 -- Boris Pek <tehnick-8@mail.ru>  Mon, 18 Feb 2013 00:21:17 +0200

plasma-widget-cwp (1.6.13-1) experimental; urgency=low

  * Update to stable release 1.6.13.

 -- Boris Pek <tehnick-8@mail.ru>  Mon, 11 Feb 2013 21:54:35 +0200

=== debian/control ===
--- 
+++ 
@@ -2,7 +2,8 @@
 Section: kde
 Priority: extra
 Maintainer: Boris Pek <tehnick-8@mail.ru>
-Build-Depends: debhelper (>= 7.0.50~), cmake (>= 2.6.0), autotools-dev, fakeroot, kdelibs5-dev (>=4.2)
+Build-Depends: debhelper (>= 7.0.50~),
+ cmake, autotools-dev, fakeroot, kdelibs5-dev
 Homepage: http://kde-look.org/content/show.php/Customizable+Weather+Plasmoid+(CWP)?content=98925
 Vcs-Git: git://github.com/tehnick/plasma-widget-cwp-debian.git
 Vcs-Browser: https://github.com/tehnick/plasma-widget-cwp-debian

=== debian/rules ===
#!/usr/bin/make -f

CPPFLAGS:=$(shell dpkg-buildflags --get CPPFLAGS)
CXXFLAGS:=$(shell dpkg-buildflags --get CXXFLAGS) $(CPPFLAGS)
LDFLAGS:=$(shell dpkg-buildflags --get LDFLAGS) -Wl,--as-needed
export CPPFLAGS CXXFLAGS LDFLAGS

CMAKEOPTS = -DCMAKE_SKIP_RPATH=ON \
            -DCMAKE_BUILD_TYPE=Release

%:
	dh $@ --parallel

override_dh_auto_configure:
	dh_auto_configure -- $(CMAKEOPTS)

get-orig-source:
	uscan --noconf --verbose --force-download --rename --download-current-version

.PHONY: override_dh_auto_test

## plasma-widget-cwp 1.8.0

=== debian/changelog ===
plasma-widget-cwp (1.8.0-1) unstable; urgency=low

  * Update to stable release 1.8.0.
  * Remove obsolete DM-Upload-Allowed flag.
  * Bump Standards-Version to 3.9.4 (was 3.9.3): no changes required.
  * Delete debian/plasma-widget-cwp.lintian-overrides:
    this false positive has been fixed in lintian.

 -- Boris Pek <tehnick-8@mail.ru>  Sun, 23 Jun 2013 13:25:39 +0300

plasma-widget-cwp (1.7.3-2) unstable; urgency=low

  * Move package to unstable: no changes required.

 -- Boris Pek <tehnick-8@mail.ru>  Sun, 12 May 2013 17:06:35 +0300

plasma-widget-cwp (1.7.3-1) experimental; urgency=low

  * Update to stable release 1.7.3.

 -- Boris Pek <tehnick-8@mail.ru>  Wed, 17 Apr 2013 00:26:54 +0300

plasma-widget-cwp (1.7.2-1) experimental; urgency=low

  * Update to stable release 1.7.2.

 -- Boris Pek <tehnick-8@mail.ru>  Mon, 15 Apr 2013 21:46:10 +0300

=== debian/control ===
--- 
+++ 
@@ -7,8 +7,7 @@
 Homepage: http://kde-look.org/content/show.php/Customizable+Weather+Plasmoid+(CWP)?content=98925
 Vcs-Git: git://github.com/tehnick/plasma-widget-cwp-debian.git
 Vcs-Browser: https://github.com/tehnick/plasma-widget-cwp-debian
-Standards-Version: 3.9.3
-DM-Upload-Allowed: yes
+Standards-Version: 3.9.4
 
 Package: plasma-widget-cwp
 Architecture: any

## plasma-widget-cwp 1.9.0

=== debian/changelog ===
plasma-widget-cwp (1.9.0-1) unstable; urgency=low

  * Update to stable release 1.9.0.
  * Update get-orig-source section in debian/rules.

 -- Boris Pek <tehnick@debian.org>  Wed, 13 Nov 2013 04:02:59 +0200

plasma-widget-cwp (1.8.3-1) unstable; urgency=low

  * Update to stable release 1.8.3.

 -- Boris Pek <tehnick@debian.org>  Thu, 17 Oct 2013 01:32:38 +0300

plasma-widget-cwp (1.8.2-1) unstable; urgency=low

  * Update to stable release 1.8.2.

 -- Boris Pek <tehnick@debian.org>  Fri, 20 Sep 2013 19:45:18 +0300

plasma-widget-cwp (1.8.1-1) unstable; urgency=low

  * Update to stable release 1.8.1.

 -- Boris Pek <tehnick@debian.org>  Fri, 26 Jul 2013 22:49:05 +0300

=== debian/control ===
--- 
+++ 
@@ -1,7 +1,7 @@
 Source: plasma-widget-cwp
 Section: kde
 Priority: extra
-Maintainer: Boris Pek <tehnick-8@mail.ru>
+Maintainer: Boris Pek <tehnick@debian.org>
 Build-Depends: debhelper (>= 7.0.50~),
  cmake, autotools-dev, fakeroot, kdelibs5-dev
 Homepage: http://kde-look.org/content/show.php/Customizable+Weather+Plasmoid+(CWP)?content=98925

## plasma-widget-cwp 1.10.0

=== CMakeLists.txt ===
--- 
+++ 
@@ -60,6 +60,7 @@
 	data/www_gismeteo_com.xml
 	data/freemeteo_com_celsius.xml
 	data/freemeteo_com_fahrenheit.xml
+	data/openweathermap_org.xml
 	data/satellite_images.xml
 	DESTINATION ${DATA_INSTALL_DIR}/plasma-cwp)

=== po/CMakeLists.txt ===
# Search KDE installation
FIND_PACKAGE(KDE4 REQUIRED)
FIND_PACKAGE(Gettext REQUIRED)

IF(NOT GETTEXT_MSGFMT_EXECUTABLE)
   MESSAGE(FATAL_ERROR "Please install the msgfmt binary")
ENDIF (NOT GETTEXT_MSGFMT_EXECUTABLE)

FILE(GLOB _po_files *.po)

SET(_gmoFiles)

FOREACH(_current_PO_FILE ${_po_files})
   GET_FILENAME_COMPONENT(_lang ${_current_PO_FILE} NAME_WE)
   SET(_gmoFile ${CMAKE_CURRENT_BINARY_DIR}/${_lang}.gmo)
   add_custom_command(OUTPUT ${_gmoFile}
         COMMAND ${GETTEXT_MSGFMT_EXECUTABLE} -o ${_gmoFile} ${_current_PO_FILE}
         WORKING_DIRECTORY "${CMAKE_CURRENT_SOURCE_DIR}"
         DEPENDS ${_current_PO_FILE}
      )

   INSTALL(FILES ${CMAKE_CURRENT_BINARY_DIR}/${_lang}.gmo DESTINATION ${LOCALE_INSTALL_DIR}/${_lang}/LC_MESSAGES/ RENAME plasma_applet_cwp.mo)
   LIST(APPEND _gmoFiles ${_gmoFile})
ENDFOREACH(_current_PO_FILE)
ADD_CUSTOM_TARGET(pofiles ALL DEPENDS ${_gmoFiles})

=== debian/changelog ===
plasma-widget-cwp (1.10.0-1) unstable; urgency=medium

  * Update to stable release 1.10.0.
  * Update years in debian/copyright.

 -- Boris Pek <tehnick@debian.org>  Thu, 30 Jan 2014 21:35:37 +0400

plasma-widget-cwp (1.9.1-1) unstable; urgency=medium

  * Update to stable release 1.9.1.
  * Bump Standards-Version to 3.9.5 (was 3.9.4): no changes required.

 -- Boris Pek <tehnick@debian.org>  Tue, 24 Dec 2013 13:28:01 +0400

=== debian/control ===
--- 
+++ 
@@ -7,7 +7,7 @@
 Homepage: http://kde-look.org/content/show.php/Customizable+Weather+Plasmoid+(CWP)?content=98925
 Vcs-Git: git://github.com/tehnick/plasma-widget-cwp-debian.git
 Vcs-Browser: https://github.com/tehnick/plasma-widget-cwp-debian
-Standards-Version: 3.9.4
+Standards-Version: 3.9.5
 
 Package: plasma-widget-cwp
 Architecture: any

## plasma-widget-cwp 1.11.1

=== CMakeLists.txt ===
--- 
+++ 
@@ -58,8 +58,6 @@
 	data/ilmeteo_it.xml
 	data/pogodynka_pl.xml
 	data/www_gismeteo_com.xml
-	data/freemeteo_com_celsius.xml
-	data/freemeteo_com_fahrenheit.xml
 	data/openweathermap_org.xml
 	data/satellite_images.xml
 	DESTINATION ${DATA_INSTALL_DIR}/plasma-cwp)

=== debian/changelog ===
plasma-widget-cwp (1.11.1-1) unstable; urgency=medium

  * Update to stable release 1.11.1.

 -- Boris Pek <tehnick@debian.org>  Tue, 09 Sep 2014 00:04:31 +0400

plasma-widget-cwp (1.11.0-1) unstable; urgency=medium

  * Update to stable release 1.11.0.

 -- Boris Pek <tehnick@debian.org>  Sun, 27 Apr 2014 19:51:18 +0400

plasma-widget-cwp (1.10.2-1) unstable; urgency=medium

  * Update to stable release 1.10.2.

 -- Boris Pek <tehnick@debian.org>  Mon, 17 Mar 2014 02:33:51 +0400

=== debian/rules ===
--- 
+++ 
@@ -1,4 +1,6 @@
 #!/usr/bin/make -f
+
+DEBIAN_PATH  := $(abspath $(dir $(firstword $(MAKEFILE_LIST))))
 
 CPPFLAGS:=$(shell dpkg-buildflags --get CPPFLAGS)
 CXXFLAGS:=$(shell dpkg-buildflags --get CXXFLAGS) $(CPPFLAGS)
@@ -15,6 +17,6 @@
 	dh_auto_configure -- $(CMAKEOPTS)
 
 get-orig-source:
-	uscan --noconf --verbose --force-download --rename --download-current-version
+	uscan --noconf --verbose --force-download --rename $(DEBIAN_PATH) --destdir $(CURDIR)
 
 .PHONY: override_dh_auto_test

=== debian/watch ===
version=3
http://kde-look.org/content/download.php?content=98925&id=1 .*/98925-cwp-(.+)\.tar\.bz2.*
